Skip to content

Agent Memories

All paths below are relative to the base URL https://api.agentdepot.org — for example GET https://api.agentdepot.org/api/orgs/{org_id}/agent-memories. Authenticate with an Authorization: Bearer <token> header. See the REST API reference for details.

List Agent Memories

List agent memories, optionally filtered by agent.

Parameters

NameInTypeRequiredDescription
agent_idquerystring (uuid)noFilter by agent
limitqueryintegerno
offsetqueryintegerno
org_idpathstring (uuid)yes

Responses

StatusDescriptionBody
200Successful ResponseAgentMemoryListResponse
422Validation ErrorHTTPValidationError

GET /api/orgs/{org_id}/agent-memories/search

Section titled “GET /api/orgs/{org_id}/agent-memories/search”

Search Agent Memories

Vector search agent memories by semantic similarity.

Parameters

NameInTypeRequiredDescription
agent_idquerystring (uuid)noFilter by agent
limitqueryintegerno
org_idpathstring (uuid)yes
qquerystringnoSearch query text

Responses

StatusDescriptionBody
200Successful ResponseAgentMemorySearchResponse
422Validation ErrorHTTPValidationError